I2O_BLOCK_PREP_REQ_F(9)

NAME
i2o_block_prep_req_fn - Allocates I2O block device specific struct

SYNOPSIS

int i2o_block_prep_req_fn(struct request_queue * q, struct request * req);

ARGUMENTS

q
    request queue for the request

req
    the request to prepare

DESCRIPTION

Allocate the necessary i2o_block_request struct and connect it to the request. This is needed that we not lose the SG list later on.

Returns BLKPREP_OK on success or BLKPREP_DEFER on failure.

COPYRIGHT